| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
GaudiParallelizer::AlgorithmEntry Class Reference

`#include <src/GaudiParallelizer.h>`

Collaboration diagram for GaudiParallelizer::AlgorithmEntry:
[legend]

## Public Member Functions
| AlgorithmEntry (Algorithm *alg)
| Standard constructor. More...
virtual | ~AlgorithmEntry ()
void | setReverse (bool flag)
| Destructor. More...
Algorithm * | algorithm () const
bool | reverse () const
void | setTimer (int nb)
int | timer () const
void | run (GaudiParallelizer &prlzr)
| Thread task executor method to wrap an algorithm execution in. More...

## Public Attributes
StatusCode | m_returncode
| StatusCode of an algorithm execution received from a thread. More...

## Private Attributes
Algorithm * | m_algorithm
| Algorithm pointer. More...
bool | m_reverse
| Indicates that the flag has to be inverted. More...
int | m_timer
| Timer number for this algorithm. More...

## Detailed Description

Definition at line 36 of file GaudiParallelizer.h.

## Constructor & Destructor Documentation

GaudiParallelizer::AlgorithmEntry::AlgorithmEntry | ( | Algorithm * | alg | ) |
| inline

Standard constructor.

Definition at line 40 of file GaudiParallelizer.h.

41 {
42 m_algorithm = alg;
43 m_reverse = false;
44 m_timer = 0;
45 }
GaudiParallelizer::AlgorithmEntry::m_reverse
bool m_reverse
Indicates that the flag has to be inverted.
Definition: GaudiParallelizer.h:68
GaudiParallelizer::AlgorithmEntry::m_algorithm
Algorithm * m_algorithm
Algorithm pointer.
Definition: GaudiParallelizer.h:67
GaudiParallelizer::AlgorithmEntry::m_timer
int m_timer
Timer number for this algorithm.
Definition: GaudiParallelizer.h:69

virtual GaudiParallelizer::AlgorithmEntry::~AlgorithmEntry | ( |  | ) |
| inline virtual

Definition at line 47 of file GaudiParallelizer.h.

47 {};

## Member Function Documentation

Algorithm* GaudiParallelizer::AlgorithmEntry::algorithm | ( |  | ) | const
| inline

Definition at line 50 of file GaudiParallelizer.h.

50 { return m_algorithm; }
GaudiParallelizer::AlgorithmEntry::m_algorithm
Algorithm * m_algorithm
Algorithm pointer.
Definition: GaudiParallelizer.h:67

bool GaudiParallelizer::AlgorithmEntry::reverse | ( |  | ) | const
| inline

Definition at line 51 of file GaudiParallelizer.h.

51 { return m_reverse; }
GaudiParallelizer::AlgorithmEntry::m_reverse
bool m_reverse
Indicates that the flag has to be inverted.
Definition: GaudiParallelizer.h:68

void GaudiParallelizer::AlgorithmEntry::run | ( | GaudiParallelizer & | prlzr | ) |
| inline

Thread task executor method to wrap an algorithm execution in.

Definition at line 56 of file GaudiParallelizer.h.

57 {
58 if ( prlzr.m_measureTime ) prlzr.m_timerTool->start( timer() );
59 m_returncode = m_algorithm->sysExecute( Gaudi::Hive::currentContext() );
60 if ( prlzr.m_measureTime ) prlzr.m_timerTool->stop( timer() );
61 algorithm()->setExecuted( true );
62 }
GaudiParallelizer::m_measureTime
Gaudi::Property< bool > m_measureTime
Definition: GaudiParallelizer.h:78
GaudiParallelizer::AlgorithmEntry::algorithm
Algorithm * algorithm() const
Definition: GaudiParallelizer.h:50
Gaudi::Hive::currentContext
GAUDI_API const EventContext & currentContext()
Definition: ThreadLocalContext.cpp:24
ISequencerTimerTool::start
virtual void start(int index)=0
start the counter, i.e.
GaudiParallelizer::AlgorithmEntry::m_algorithm
Algorithm * m_algorithm
Algorithm pointer.
Definition: GaudiParallelizer.h:67
GaudiParallelizer::AlgorithmEntry::timer
int timer() const
Definition: GaudiParallelizer.h:53
Algorithm::setExecuted
void setExecuted(bool state) const override
Set the executed flag to the specified state.
Definition: Algorithm.cpp:753
GaudiParallelizer::AlgorithmEntry::m_returncode
StatusCode m_returncode
StatusCode of an algorithm execution received from a thread.
Definition: GaudiParallelizer.h:64
GaudiParallelizer::m_timerTool
ISequencerTimerTool * m_timerTool
Pointer to the timer tool.
Definition: GaudiParallelizer.h:84
ISequencerTimerTool::stop
virtual double stop(int index)=0
stop the counter, return the elapsed time
Algorithm::sysExecute
StatusCode sysExecute(const EventContext &ctx) override
The actions to be performed by the algorithm on an event.
Definition: Algorithm.cpp:508

void GaudiParallelizer::AlgorithmEntry::setReverse | ( | bool | flag | ) |
| inline

Destructor.

Definition at line 48 of file GaudiParallelizer.h.

48 { m_reverse = flag; }
GaudiParallelizer::AlgorithmEntry::m_reverse
bool m_reverse
Indicates that the flag has to be inverted.
Definition: GaudiParallelizer.h:68

void GaudiParallelizer::AlgorithmEntry::setTimer | ( | int | nb | ) |
| inline

Definition at line 52 of file GaudiParallelizer.h.

52 { m_timer = nb; }
GaudiParallelizer::AlgorithmEntry::m_timer
int m_timer
Timer number for this algorithm.
Definition: GaudiParallelizer.h:69

int GaudiParallelizer::AlgorithmEntry::timer | ( |  | ) | const
| inline

Definition at line 53 of file GaudiParallelizer.h.

53 { return m_timer; }
GaudiParallelizer::AlgorithmEntry::m_timer
int m_timer
Timer number for this algorithm.
Definition: GaudiParallelizer.h:69

## Member Data Documentation

Algorithm* GaudiParallelizer::AlgorithmEntry::m_algorithm
| private

Algorithm pointer.

Definition at line 67 of file GaudiParallelizer.h.

StatusCode GaudiParallelizer::AlgorithmEntry::m_returncode

StatusCode of an algorithm execution received from a thread.

Definition at line 64 of file GaudiParallelizer.h.

bool GaudiParallelizer::AlgorithmEntry::m_reverse
| private

Indicates that the flag has to be inverted.

Definition at line 68 of file GaudiParallelizer.h.

int GaudiParallelizer::AlgorithmEntry::m_timer
| private

Timer number for this algorithm.

Definition at line 69 of file GaudiParallelizer.h.

The documentation for this class was generated from the following file:

- GaudiMTTools/src/GaudiParallelizer.h